eth_getTransactionReceipt
Returns the receipt of a transaction by transaction hash. Note That the receipt is not available for pending transactions.
Last updated
Was this helpful?
Returns the receipt of a transaction by transaction hash. Note That the receipt is not available for pending transactions.
Last updated
Was this helpful?
Was this helpful?
// Request
curl https://mantle.blockpi.network/v1/rpc/your-rpc-key -X POST -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"eth_getTransactionReceipt","params":["0x111b6cd055a4d911915b60e97ae3830251cdfe6b3d311748946c6b87ac59e4c9"],"id":1}'
// Result
{
"jsonrpc": "2.0",
"id": 1,
"result": {
"blockHash": "0xda4a0cb54856feda8a75a68d8b306a904c510e061c5e3ad8944af4169fbfb1a1",
"blockNumber": "0x3e7fa02",
"contractAddress": null,
"cumulativeGasUsed": "0xb729",
"depositNonce": "0x429117",
"effectiveGasPrice": "0x0",
"from": "0xdeaddeaddeaddeaddeaddeaddeaddeaddead0001",
"gasUsed": "0xb729",
"logs": [],
"logsBloom": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
"status": "0x1",
"to": "0x4200000000000000000000000000000000000015",
"transactionHash": "0x111b6cd055a4d911915b60e97ae3830251cdfe6b3d311748946c6b87ac59e4c9",
"transactionIndex": "0x0",
"type": "0x7e"
}
}